> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getmateo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Appointments

> Retrieve a list of appointments



## OpenAPI

````yaml get /appointment
openapi: 3.1.0
info:
  title: Mateo API
  description: The official API for Mateo
  version: 1.0.0
servers:
  - url: https://integration.getmateo.com/api/v1
security:
  - bearerAuth: []
externalDocs:
  description: Documentation for Mateo API
  url: https://docs.getmateo.com
paths:
  /appointment:
    get:
      tags:
        - Appointment
      summary: List Appointments
      description: Retrieve a list of appointments
      parameters:
        - name: id
          in: query
          description: Appointment ID
          schema:
            type: string
        - name: created_at
          in: query
          description: Creation date
          schema:
            type: string
        - name: updated_at
          in: query
          description: Latest update
          schema:
            type: string
        - name: organisation_id
          in: query
          description: Organisation ID
          schema:
            type: string
        - name: name
          in: query
          description: Name of the appointment
          schema:
            type: string
        - name: description
          in: query
          description: Description of the appointment
          schema:
            type: string
        - name: external_id
          in: query
          description: External ID
          schema:
            type: string
        - name: status_key
          in: query
          description: Status Key
          schema:
            type: string
        - name: type_key
          in: query
          description: Type Key
          schema:
            type: string
        - name: assignee_id
          in: query
          description: Assignee ID
          schema:
            type: string
        - name: contact_id
          in: query
          description: Contact ID
          schema:
            type: string
        - name: start_time
          in: query
          description: Start time of the appointment
          schema:
            type: string
        - name: end_time
          in: query
          description: End time of the appointment
          schema:
            type: string
        - name: confirmed_at
          in: query
          description: Confirmed at timestamp
          schema:
            type: string
        - name: cancelled_at
          in: query
          description: Cancelled at timestamp
          schema:
            type: string
        - name: location_id
          in: query
          description: Location ID
          schema:
            type: string
        - name: select
          in: query
          description: Filtering Columns
          schema:
            type: string
        - name: order
          in: query
          description: 'Ordering. Allowed Fields: `start_time`'
          schema:
            type: string
        - name: Range
          in: header
          description: Limiting and Pagination
          schema:
            type: string
        - name: Range-Unit
          in: header
          description: Limiting and Pagination
          schema:
            type: string
            default: items
        - name: offset
          in: query
          description: Limiting and Pagination
          schema:
            type: string
        - name: limit
          in: query
          description: Limiting and Pagination
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/appointment'
components:
  schemas:
    appointment:
      type: object
      properties:
        id:
          type: string
          description: Appointment ID
          format: uuid
          default: random uuid
        created_at:
          type: string
          description: Creation date
          format: timestamp with time zone
          default: now()
        updated_at:
          type: string
          description: Latest update
          format: timestamp with time zone
          default: now()
        organisation_id:
          type: string
          description: Organisation ID
          format: uuid
        name:
          type: string
          description: Name of the appointment
          format: text
        description:
          type: string
          description: Description of the appointment
          format: text
          nullable: true
        external_id:
          type: string
          description: External ID
          format: text
          nullable: true
        status_key:
          type: string
          description: Status Key
          format: text
        type_key:
          type: string
          description: Type Key
          format: text
        assignee_id:
          type: string
          description: Assignee ID
          format: uuid
          nullable: true
        contact_id:
          type: string
          description: Contact ID
          format: uuid
        start_time:
          type: string
          description: Start time of the appointment
          format: timestamp with time zone
        end_time:
          type: string
          description: End time of the appointment
          format: timestamp with time zone
          nullable: true
        confirmed_at:
          type: string
          description: Confirmed at timestamp
          format: timestamp with time zone
          nullable: true
        cancelled_at:
          type: string
          description: Cancelled at timestamp
          format: timestamp with time zone
          nullable: true
        location_id:
          type: string
          description: Location ID
          format: uuid
          nullable: true
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````